CMSIS DSP Software Library: arm_signal_converge_example_f32.c File Reference

Defines | Functions | Variables

# arm_signal_converge_example_f32.c File Reference

`#include "arm_math.h"`
`#include "math_helper.h"`

Go to the source code of this file.

## Defines
#define | TEST_LENGTH_SAMPLES 1536
#define | NUMTAPS 32
#define | BLOCKSIZE 32
#define | DELTA_ERROR 0.000001f
#define | DELTA_COEFF 0.0001f
#define | MU 0.5f
#define | NUMFRAMES (TEST_LENGTH_SAMPLES / BLOCKSIZE)
## Functions
arm_status | test_signal_converge_example (void)
arm_status | test_signal_converge (float32_t *err_signal, uint32_t blockSize)
void | getinput (float32_t *input, uint32_t fr_cnt, uint32_t blockSize)
int32_t | main (void)
## Variables
float32_t | firStateF32 [NUMTAPS+BLOCKSIZE]
arm_fir_instance_f32 | LPF_instance
float32_t | lmsStateF32 [NUMTAPS+BLOCKSIZE]
float32_t | errOutput [TEST_LENGTH_SAMPLES]
arm_lms_norm_instance_f32 | lmsNorm_instance
float32_t | testInput_f32 [TEST_LENGTH_SAMPLES]
float32_t | lmsNormCoeff_f32 [32]
const float32_t | FIRCoeff_f32 [32]
float32_t | wire1 [BLOCKSIZE]
float32_t | wire2 [BLOCKSIZE]
float32_t | wire3 [BLOCKSIZE]
float32_t | err_signal [BLOCKSIZE]

## Define Documentation

#define TEST_LENGTH_SAMPLES 1536

Definition at line 100 of file arm_signal_converge_example_f32.c.

#define NUMTAPS 32

Examples:
  arm_signal_converge_example_f32.c.

Definition at line 101 of file arm_signal_converge_example_f32.c.

#define BLOCKSIZE 32

Definition at line 102 of file arm_signal_converge_example_f32.c.

#define DELTA_ERROR 0.000001f

Examples:
  arm_signal_converge_example_f32.c.

Definition at line 103 of file arm_signal_converge_example_f32.c.

#define DELTA_COEFF 0.0001f

Examples:
  arm_signal_converge_example_f32.c.

Definition at line 104 of file arm_signal_converge_example_f32.c.

#define MU 0.5f

Examples:
  arm_signal_converge_example_f32.c.

Definition at line 105 of file arm_signal_converge_example_f32.c.

#define NUMFRAMES (TEST_LENGTH_SAMPLES / BLOCKSIZE)

Examples:
  arm_signal_converge_example_f32.c.

Definition at line 107 of file arm_signal_converge_example_f32.c.

## Function Documentation

arm_status test_signal_converge_example | ( | void | ) |

Examples:
  arm_signal_converge_example_f32.c.

arm_status test_signal_converge | ( | float32_t * | err_signal,
|  | uint32_t | blockSize
| ) |  |

Examples:
  arm_signal_converge_example_f32.c.

void getinput | ( | float32_t * | input,
|  | uint32_t | fr_cnt,
|  | uint32_t | blockSize
| ) |  |

Examples:
  arm_signal_converge_example_f32.c.

int32_t main | ( | void | ) |

Definition at line 163 of file arm_signal_converge_example_f32.c.

## Variable Documentation

float32_t firStateF32[NUMTAPS+BLOCKSIZE]

Examples:
  arm_fir_example_f32.c, and arm_signal_converge_example_f32.c.

Definition at line 113 of file arm_signal_converge_example_f32.c.

arm_fir_instance_f32 LPF_instance

Examples:
  arm_signal_converge_example_f32.c.

Definition at line 114 of file arm_signal_converge_example_f32.c.

float32_t lmsStateF32[NUMTAPS+BLOCKSIZE]

Examples:
  arm_signal_converge_example_f32.c.

Definition at line 120 of file arm_signal_converge_example_f32.c.

float32_t errOutput[TEST_LENGTH_SAMPLES]

Examples:
  arm_signal_converge_example_f32.c.

Definition at line 121 of file arm_signal_converge_example_f32.c.

arm_lms_norm_instance_f32 lmsNorm_instance

Examples:
  arm_signal_converge_example_f32.c.

Definition at line 122 of file arm_signal_converge_example_f32.c.

float32_t testInput_f32[TEST_LENGTH_SAMPLES]

Definition at line 83 of file arm_sin_cos_example_f32.c.

float32_t lmsNormCoeff_f32[32]

Examples:
  arm_signal_converge_example_f32.c.

const float32_t FIRCoeff_f32[32]

Examples:
  arm_signal_converge_example_f32.c.

float32_t wire1[BLOCKSIZE]

Examples:
  arm_signal_converge_example_f32.c, and arm_variance_example_f32.c.

Definition at line 154 of file arm_signal_converge_example_f32.c.

float32_t wire2[BLOCKSIZE]

Examples:
  arm_signal_converge_example_f32.c, and arm_variance_example_f32.c.

Definition at line 155 of file arm_signal_converge_example_f32.c.

float32_t wire3[BLOCKSIZE]

Examples:
  arm_signal_converge_example_f32.c, and arm_variance_example_f32.c.

Definition at line 156 of file arm_signal_converge_example_f32.c.

float32_t err_signal[BLOCKSIZE]

Examples:
  arm_signal_converge_example_f32.c.

Definition at line 157 of file arm_signal_converge_example_f32.c.

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines